Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.storedProcedures
Interface BusinessDbConnectionSource

All Known Implementing Classes:
  CompilerDatabaseService

public interface BusinessDbConnectionSource

Interface implemented by Db to be able to pass a JDBC connection to a time operator (e.g. Windowing), in the case that stored procedures are not available and the same classes are run outside the database.

Version:
  $Id: BusinessDbConnectionSource.java,v 1.4 2006/04/11 14:10:16 euler Exp $
Author:
  Martin Scholz

Method Summary
`java.sql.Connection` | `getDatabaseConnectionForData()`
`java.lang.String` | `getNameOfNumericDatatype()` Returns the name that the underlying DBMS uses for numeric datatypes.
`java.lang.String` | `getSelectStringForColumnDataType(java.lang.String owner, java.lang.String tableName, java.lang.String columnName)` This method returns the DBMS-dependent SQL command that returns the name of the datatype of the given column in the given table or view (which is owned by the given owner).

Method Detail

### getDatabaseConnectionForData

    public java.sql.Connection getDatabaseConnectionForData()
                                                     throws java.lang.Exception

  Returns:
    a `Connection` to the business database schema.
  Throws:
    `an` - exception, if no `Connection` could be established.
    `java.lang.Exception`

### getSelectStringForColumnDataType

    public java.lang.String getSelectStringForColumnDataType(java.lang.String owner,
                                                             java.lang.String tableName,
                                                             java.lang.String columnName)

  This method returns the DBMS-dependent SQL command that returns the name of the datatype of the given column in the given table or view (which is owned by the given owner).

  Parameters:
    `owner` - Name of the owner of the table or view
    `tableName` - Name of a table or view in the business schema
    `columnName` - Name of the column whose datatype is returned
  Returns:
    the DBMS-dependent name of the datatype of the column with the given name

### getNameOfNumericDatatype

    public java.lang.String getNameOfNumericDatatype()

  Returns the name that the underlying DBMS uses for numeric datatypes.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005